"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FSUtils = void 0;
const fs_1 = __importDefault(require("fs"));
class FSUtils {
    static exists(path) {
        return new Promise((resolve) => {
            fs_1.default.exists(path, (val) => {
                return resolve(val);
            });
        });
    }
    static mkdir(path) {
        return new Promise((resolve, reject) => {
            fs_1.default.mkdir(path, (err) => {
                if (err)
                    return reject(err);
                return resolve(true);
            });
        });
    }
    static readdir(path) {
        return new Promise((resolve, reject) => {
            fs_1.default.readdir(path, (err, files) => {
                if (err)
                    return reject(err);
                return resolve(files);
            });
        });
    }
}
exports.FSUtils = FSUtils;
